メインコンテンツへスキップ
PUT
/
terms_of_service_user_statuses
/
{terms_of_service_user_status_id}
cURL
curl -i -X PUT "https://api.box.com/2.0/terms_of_service_user_statuses/324234" \
     -H "authorization: Bearer <ACCESS_TOKEN>" \
     -H "content-type: application/json" \
     -d '{
       "is_accepted": true
     }'
{
  "id": "11446498",
  "type": "terms_of_service_user_status",
  "tos": {
    "id": "11446498",
    "type": "terms_of_service"
  },
  "user": {
    "id": "11446498",
    "type": "user",
    "name": "Aaron Levie",
    "login": "ceo@example.com"
  },
  "is_accepted": true,
  "created_at": "2012-12-12T10:53:43-08:00",
  "modified_at": "2012-12-12T10:53:43-08:00"
}

Documentation Index

Fetch the complete documentation index at: https://developer.box.com/llms.txt

Use this file to discover all available pages before exploring further.

このリソースは、バージョン2024.0のエンドポイントで使用されています。 詳細については、 Box APIのバージョン管理を参照してください。Box SDKのバージョニング戦略について詳しく学ぶ。」

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

terms_of_service_user_status_id
string
必須

サービス利用規約ステータスのID。

ボディ

application/json
is_accepted
boolean
必須

ユーザーが利用規約に同意したかどうか。

:

true

レスポンス

更新されたサービス利用規約のステータスオブジェクトを返します。

サービス利用規約とユーザーの関連付け。

id
string
必須

このサービス利用規約のユーザーステータスの一意の識別子。

:

"11446498"

type
enum<string>
必須

値は常にterms_of_service_user_statusになります。

利用可能なオプション:
terms_of_service_user_status
:

"terms_of_service_user_status"

tos
サービス利用規約 (Base) · object

サービス利用規約。

user
ユーザー (Mini) · object

ユーザー。

is_accepted
boolean

ユーザーがサービス利用規約に同意したかどうか。

:

true

created_at
string<date-time>

リーガル項目が作成された日時。

:

"2012-12-12T10:53:43-08:00"

modified_at
string<date-time>

リーガル項目が変更された日時。

:

"2012-12-12T10:53:43-08:00"